<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Paths/Bezier.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Paths::Bezier</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../index.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../Paths.html" >Paths</a>
</div><div class="class-template">template &lt;size_t <span class="variable">Order</span>&gt;</div><div class="class-name">class Bezier

</div><div class="links"><div class="file">File: Bezier.h</div> <div class="xref"></div> <div class="source"></div></div>  <img alt="Bezier-inheritance" src="Bezier-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Bezier-inheritance_map" />
<map name="Bezier-inheritance_map"><area alt="Scopes/Path.html" href="../Path.html" shape="rect" coords="31, 7, 76, 31" />
</map>
 <div class="doc">
The Bezier class. It implements a Bezier curve
for the given order.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <span class="name"><a href="Bezier.html#Bezier_l_r" >Bezier</a></span>()  </div> <div class="xref"></div> <div class="source"></div> <div class="doc">Create a new Bezier.</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="draw_l_r">draw</a>()  </div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis">std::vector&lt;<a href="../Vertex.html" >Vertex</a>&gt; <span class="name"><a href="Bezier.html#controls_" >controls_</a></span></div> <div class="xref"></div> <div class="source"></div> <div class="doc">The data...</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Manipulators Summary:</div>
<div class="item"><div class="synopsis">&#160;void <span class="name"><a href="Bezier.html#add_control_point_lconst.Vertex_A_r" >add_control_point</a></span>(const&#160;<a href="../Vertex.html" >Vertex</a>&amp;)  </div> <div class="xref"></div> <div class="source"></div> <div class="doc">
Add a new control point.</div></div>
<div class="item"><div class="synopsis">&#160;void <span class="name"><a href="Bezier.html#remove_control_point_lsize_t_r" >remove_control_point</a></span>(size_t <span class="variable">i</span>)  </div> <div class="xref"></div> <div class="source"></div> <div class="doc">
Remove the control point at index i.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Public Member functions Details:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Bezier_l_r">Bezier</a>()  </div> <div class="xref"></div> <div class="source"></div> <div class="doc">Create a new Bezier.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Private Data members Details:</div>
<div class="item"><div class="synopsis">std::vector&lt;<a href="../Vertex.html" >Vertex</a>&gt; <a class="name" id="controls_">controls_</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc">The data...</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Manipulators Details:</div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="add_control_point_lconst.Vertex_A_r">add_control_point</a>(const&#160;<a href="../Vertex.html" >Vertex</a>&amp;)  </div> <div class="xref"></div> <div class="source"></div> <div class="doc">
Add a new control point.
<div class="tag-heading">Parameters:</div><div class="tag-section"><table Class="dl"><tr ><th Class="dt">p</th><td Class="dd">A point</td></tr></table></div></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="remove_control_point_lsize_t_r">remove_control_point</a>(size_t <span class="variable">i</span>)  </div> <div class="xref"></div> <div class="source"></div> <div class="doc">
Remove the control point at index i.
<div class="tag-heading">Parameters:</div><div class="tag-section"><table Class="dl"><tr ><th Class="dt">i</th><td Class="dd">An index</td></tr></table></div></div></div>
</div><!-- detail -->

<div class="logo">Generated on Fri Apr 17 08:48:09 2009 by 
<br/>
<a href="http://synopsis.fresco.org" ><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
